@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600&display=swap');
@import url(variables.css);

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body {
    background: linear-gradient(135deg, var(--main-color-0), var(--main-color-1));
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100dvh;
}

.container {
    background: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(8px);
    border-radius: 16px;
    padding: 2rem;
    width: 90%;
    max-width: 400px;
    text-align: center;
    box-shadow: 0 8px 20px rgba(0,0,0,0.2);
}

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1.5rem;
    
    & h1 {
        font-size: 1.4rem;
        font-weight: 600;
    }
}

.icon-cog {
    cursor: pointer;
    font-size: 1.2rem;
    transition: color 0.3s;
    
    &:hover {
        color: var(--main-color-0);
    }
}

.status {
    
    & .turns {
        font-size: 1.2rem;
        margin-bottom: 0.5rem;
    }
    
    & .time {
        font-size: 3rem;
        font-weight: bold;
        margin-bottom: 0.5rem;
    }

    & .time-mode {
        font-size: 1.2rem;
        font-weight: 500;
        margin-bottom: 1.5rem;
    }
}


.config-panel {
    display: none;
    margin-bottom: 1.5rem;
}

.select-options {
    display: flex;
    flex-direction: column;
    gap: 0.8rem;
    
    & label {
        font-size: 0.9rem;
        text-align: left;
    }
    
    & input {
        padding: 0.5rem;
        border-radius: 8px;
        border: none;
        outline: none;
        font-size: 1rem;
    }
}

.controls {
    display: flex;
    justify-content: center;
    gap: 1rem;
}

button {
    padding: 0.8rem 1.2rem;
    border: none;
    border-radius: 8px;
    background: var(--secondary-color-0);
    color: var(--secondary-color-1);
    font-weight: 600;
    cursor: pointer;
    transition: transform 0.2s, background 0.3s;
    
    &:hover {
        transform: scale(1.05);
        background: var(--secondary-color-1);
        color: var(--secondary-color-0);
    }
}

@media (max-width: 500px) {
    .container {
        padding: 1.5rem;
    }

    .status .time {
        font-size: 2.5rem;
    }

    .icon-cog {
        font-size: 1.75rem;

        & .name-cog {
            display: none;
        }
    }
}
